Create experiment on a dataset
curl --request POST \
--url https://api.example.com/v1/datasets/{dataset_id}/experiments \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"metadata": {},
"version_id": "<string>",
"splits": [
"<string>"
],
"repetitions": 1
}
'import requests
url = "https://api.example.com/v1/datasets/{dataset_id}/experiments"
payload = {
"name": "<string>",
"description": "<string>",
"metadata": {},
"version_id": "<string>",
"splits": ["<string>"],
"repetitions": 1
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
metadata: {},
version_id: '<string>',
splits: ['<string>'],
repetitions: 1
})
};
fetch('https://api.example.com/v1/datasets/{dataset_id}/experiments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"dataset_id": "<string>",
"dataset_version_id": "<string>",
"name": "<string>",
"description": "<string>",
"repetitions": 123,
"metadata": {},
"project_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"example_count": 123,
"successful_run_count": 123,
"failed_run_count": 123,
"missing_run_count": 123
}
}"<string>""<string>"{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Experiments
Create experiment on a dataset
POST
/
v1
/
datasets
/
{dataset_id}
/
experiments
Create experiment on a dataset
Path Parameters
Body
application/json
Details of the experiment to be created
Name of the experiment (if omitted, a random name will be generated)
An optional description of the experiment
Metadata for the experiment
ID of the dataset version over which the experiment will be run (if omitted, the latest version will be used)
List of dataset split identifiers (GlobalIDs or names) to filter by
Number of times the experiment should be repeated for each example
Response
Experiment retrieved successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I

